Name:           ocaml-pa_ounit
Version:        108.07.01
Release:        %mkrel 2
Summary:        OCaml Syntax extension for OUnit tests
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://ocaml.janestreet.com
Source0:        http://ocaml.janestreet.com/ocaml-core/%{version}/individual/pa_ounit-%{version}.tar.gz
BuildRequires:  ocaml-compiler >= 3.12.1
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-type-conv == %{version}
BuildRequires:  camlp4
Requires:       ocaml-compiler
Requires:       camlp4
Requires:       ocaml-ounit

%description
Pa_ounit is a syntax extension that helps writing in-line test in ocaml
code. It allows user to register tests with a new `TEST` top-level expressions
and automatically collects all the tests in a module (in a function
`ounit_tests` of type `unit -> OUnit.test`).

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-ounit-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n pa_ounit-%{version}

%build
./configure
make

%install
rm -rf %{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
make install

%files
%doc LICENSE.txt readme.md
%doc THIRD-PARTY.txt INRIA-DISCLAIMER.txt
%dir %{_libdir}/ocaml/pa_ounit
%{_libdir}/ocaml/pa_ounit/META
%{_libdir}/ocaml/pa_ounit/pa_ounit.cma
%{_libdir}/ocaml/pa_ounit/pa_ounit.cmi
%{_libdir}/ocaml/pa_ounit/pa_ounit.ml

%files devel
%doc emacs/
%doc example/


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 108.07.01-2.mga3
+ Revision: 361560
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 319790
- updated to last version 108.07.01
- constrain the set of libs from janest to be the same version

* Mon Oct 01 2012 blue_prawn <blue_prawn> 108.07.00-2.mga3
+ Revision: 301613
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 108.07.00-1.mga3
+ Revision: 300246
- updated to last version 108.07.00
- new rpm group for ocaml

* Sat Jul 28 2012 malo <malo> 108.00.02-2.mga3
+ Revision: 275433
- add devel package to pull ocaml-ounit dependency

* Fri Jul 27 2012 malo <malo> 108.00.02-1.mga3
+ Revision: 274672
- imported package ocaml-pa_ounit

